## org.eclipse.datatools.connectivity
Interface IOfflineConnectionFactory

All Superinterfaces:
  IConnectionFactory

public interface IOfflineConnectionFactory
extends IConnectionFactory

Adds offline capabilities to an IConnectionFactory. Connection profiles that have connection factories defined for them that implement this interface will have the additional "Work offline..." and "Save offline..." methods.

Author:
  rcernich Created on Apr 2, 2007

Method Summary
`boolean` `canWorkOffline(IConnectionProfile profile)` This method is used by the framework to determine whether or not data for a particular connection profile has been saved for offline use.
`IOfflineConnection` `createConnection(IConnectionProfile profile, IProgressMonitor monitor)` This method creates a connection to a server based on the properties specified by the connection profile.
`IOfflineConnection` `createOfflineConnection(IConnectionProfile profile, IProgressMonitor monitor)` Creates an offline connection.

Methods inherited from interface org.eclipse.datatools.connectivity.IConnectionFactory
`createConnection, createConnection`

Method Detail

### createOfflineConnection

    public IOfflineConnection createOfflineConnection(IConnectionProfile profile,
                                                      IProgressMonitor monitor)

  Creates an offline connection.

  Parameters:
    `profile` -
    `monitor` - for communicating progress
  Returns:

### createConnection

    public IOfflineConnection createConnection(IConnectionProfile profile,
                                               IProgressMonitor monitor)

  This method creates a connection to a server based on the properties specified by the connection profile. This method uses the user id and password specified in the profile.

  Parameters:
    `profile` - the profile to connect to.
    `monitor` - for communicating progress
  Returns:
    a connection if successful
  See Also:
    `IConnectionFactory.createConnection(org.eclipse.datatools.connectivity.IConnectionProfile)`

### canWorkOffline

    public boolean canWorkOffline(IConnectionProfile profile)

  This method is used by the framework to determine whether or not data for a particular connection profile has been saved for offline use.

  Parameters:
    `profile` - the profile
  Returns:
    true if data has been cached for the specified profile (i.e. if an offline connection will contain any data).

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.